Bug 1120423 - [abrt] lyx: lyx::to_utf8(): lyx killed by SIGSEGV
Summary: [abrt] lyx: lyx::to_utf8(): lyx killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c99897cd021b6ebf6c4f43d4722...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 22:10 UTC by meah
Modified: 2014-10-10 16:05 UTC (History)
2 users (show)

Fixed In Version: lyx-2.1.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 04:01:43 UTC


Attachments (Terms of Use)
File: backtrace (31.73 KB, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: core_backtrace (27.40 KB, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: dso_list (18.66 KB, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: environ (605 bytes, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: exploitable (100 bytes, text/plain)
2014-07-16 22:10 UTC, meah
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-16 22:11 UTC, meah
no flags Details
File: maps (87.14 KB, text/plain)
2014-07-16 22:11 UTC, meah
no flags Details
File: open_fds (1.89 KB, text/plain)
2014-07-16 22:11 UTC, meah
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-07-16 22:11 UTC, meah
no flags Details
File: var_log_messages (184 bytes, text/plain)
2014-07-16 22:11 UTC, meah
no flags Details

Description meah 2014-07-16 22:10:47 UTC
Description of problem:
don't know, but I worked with the tables (copy text, add lines, remove lines ...) 

see lyx bugtracker Ticket #9049

Version-Release number of selected component:
lyx-2.1.0-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        lyx
crash_function: lyx::to_utf8
executable:     /usr/bin/lyx
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lyx::to_utf8 at docstring.cpp:102
 #1 lyx::Paragraph::write at Paragraph.cpp:1623
 #2 lyx::Text::write at Text.cpp:1766
 #3 lyx::Tabular::write at insets/InsetTabular.cpp:1517
 #4 lyx::Paragraph::write at Paragraph.cpp:1670
 #5 lyx::Text::write at Text.cpp:1766
 #6 lyx::Paragraph::write at Paragraph.cpp:1670
 #7 lyx::Text::write at Text.cpp:1766
 #8 lyx::Buffer::write at Buffer.cpp:1449
 #9 lyx::Buffer::writeFile at Buffer.cpp:1338

Comment 1 meah 2014-07-16 22:10:50 UTC
Created attachment 918538 [details]
File: backtrace

Comment 2 meah 2014-07-16 22:10:52 UTC
Created attachment 918539 [details]
File: cgroup

Comment 3 meah 2014-07-16 22:10:54 UTC
Created attachment 918540 [details]
File: core_backtrace

Comment 4 meah 2014-07-16 22:10:56 UTC
Created attachment 918541 [details]
File: dso_list

Comment 5 meah 2014-07-16 22:10:57 UTC
Created attachment 918542 [details]
File: environ

Comment 6 meah 2014-07-16 22:10:59 UTC
Created attachment 918543 [details]
File: exploitable

Comment 7 meah 2014-07-16 22:11:00 UTC
Created attachment 918544 [details]
File: limits

Comment 8 meah 2014-07-16 22:11:02 UTC
Created attachment 918545 [details]
File: maps

Comment 9 meah 2014-07-16 22:11:03 UTC
Created attachment 918546 [details]
File: open_fds

Comment 10 meah 2014-07-16 22:11:05 UTC
Created attachment 918547 [details]
File: proc_pid_status

Comment 11 meah 2014-07-16 22:11:06 UTC
Created attachment 918548 [details]
File: var_log_messages

Comment 12 meah 2014-07-16 22:23:52 UTC
it is the same issue like the BUG 1114263 - may be there are more information in the backtrace

Comment 13 Fedora Update System 2014-09-27 14:06:38 UTC
lyx-2.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc21

Comment 14 Fedora Update System 2014-09-27 14:07:43 UTC
lyx-2.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc20

Comment 15 Fedora Update System 2014-09-27 14:08:23 UTC
lyx-2.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc19

Comment 16 José Matos 2014-09-27 14:24:33 UTC
Thank you for the report. :-)
I have been very busy in the last months and although I had not answer here (my bad) I followed it on the lyx mailing list.

I agree with your assessment of the bug and that is why I think it solved by this version as stated in the release notes for 2.1.2

Comment 17 Fedora Update System 2014-09-28 04:27:14 UTC
Package lyx-2.1.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lyx-2.1.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11756/lyx-2.1.2-1.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-10-03 04:01:43 UTC
lyx-2.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-10-10 15:59:06 UTC
lyx-2.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-10-10 16:05:20 UTC
lyx-2.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.